Author Topic: Error install PGSQL extension  (Read 1185 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Error install PGSQL extension
« on: September 01, 2020, 07:24:31 PM »
Hello,

My CWP Panel version is: 0.9.8.1006

When I execute PHP Switch to version 7.30.

I select the PHP extensions I want like mailparse, imap, sqlsrv (MSSQL), so far everything is perfect and functional. Now I have a serious problem when I select the PGSQL extension and PDO_PGSQL. I have Postgresql 12 installed, but the PHP extension is not installed at all. Can anyone help me in this case?

Attention: I do not install the Postgres version through the Panel as it is version 9.6. For my need, you need version 12 of the database that is already installed.

Has anyone gone through this situation and managed to resolve it?

Offline
*****
Re: Error install PGSQL extension
« Reply #1 on: September 02, 2020, 05:05:05 AM »
always provide or check php build log for errors.

Offline
*
Re: Error install PGSQL extension
« Reply #2 on: September 02, 2020, 12:25:33 PM »
There is no error, because as I said earlier, the extension pdo_pgsql and pgsql is not installed.

Offline
*
Re: Error install PGSQL extension
« Reply #3 on: September 02, 2020, 01:34:03 PM »
Following the idea of ​​@Sandeep, I performed the manual installation of PHP and it worked.

I will tell you step by step for those who want to use postgesql version 12.

1) yum provides * / libpq-fe.h
- run this command to find out which path to install for postgresql12

In my case, postgresql12-devel had to be installed and as llvm-toolset-7-clang depended

To install "llvm-toolset-7-clang"

2) yum install centos-release-scl-rh

3) yum --enablerepo = centos-sclo-rh-testing install llvm-toolset-7-clang

In this way, we will be able to perform the PHP ./configure

Now another question, for PostgreSQL 12, the extension does not accept it, so use the path of version 9.6 which is /usr/pgsql-9.6/bin

Finishing "make && make install"

Everything perfect...

May it help those who are experiencing the same problem I had.